{
  "factory": {
    "id": "artemis-connector-in",
    "type": "entaxy.runtime.connector",
    "displayName": "ARTEMIS :: IN",
    "parent": "connection-based-connector-in",
    "shortName": "artemis",
    "description": "This component allows messages to be sent to (or consumed from) a JMS Queue or Topic. It uses Spring’s JMS support for declarative transactions, including Spring’s JmsTemplate for sending and a MessageListenerContainer for consuming. For more details see <a target=\"_blank\" href=\"https://camel-docs.entaxy.ru/components/${camel-docs.version}/jms-component.html\">Camel docs</a>",
    "label": "connector,artemis",
    "isAbstract": false,
    "requires": [
      "artemis-connection"
    ]
  },
  "entaxy.runtime.connector": {
    "type": "artemis",
    "protocol": "artemis"
  },
  "fields": {
    "entaxyOriginConnection": {
      "type": "entaxy.runtime.connection",
      "filter": "(&(type=entaxy.runtime.connection)(label=*artemis*))"
    },
    "queueOrTopicType": {
      "displayName": "JMS Queue or Topic",
      "description": "The kind of destination to use. For more details see <a target=\"_blank\" href=\"https://camel-docs.entaxy.ru/components/${camel-docs.version}/jms-component.html\">Camel docs</a>",
      "type": "String",
      "required": true,
      "group": "entaxy",
      "@TYPEINFO": {
        "type": "enum",
        "values": [
          "queue",
          "topic",
          "temp-queue",
          "temp-topic"
        ]
      },
      "defaultValue": "queue"
    },
    "queueOrTopicName": {
      "displayName": "Name of Queue or Topic",
      "description": "Name of the queue or topic to use as destination. For more details see <a target=\"_blank\" href=\"https://camel-docs.entaxy.ru/components/${camel-docs.version}/jms-component.html\">Camel docs</a>",
      "type": "String",
      "required": true,
      "group": "entaxy"
    },
    "camel_consumerPriority": {
      "displayName": "Consumer priority",
      "description": "Consumer priorities allow you to ensure that high priority consumers receive messages while they are active. Normally, active consumers connected to a queue receive messages from it in a round-robin fashion. When consumer priorities are in use, messages are delivered round-robin if multiple active consumers exist with the same high priority. Messages will only going to lower priority consumers when the high priority consumers do not have credit available to consume the message, or those high priority consumers have declined to accept the message (for instance because it does not meet the criteria of any selectors associated with the consumer). For more details see <a target=\"_blank\" href=\"https://camel-docs.entaxy.ru/components/${camel-docs.version}/jms-component.html\">Camel docs</a>",
      "type": "integer",
      "javaType": "java.lang.Integer",
      "required": false,
      "group": "entaxy"
    }
  },
  "outputs": {
    "init": {
      "isDefault": true,
      "fields": {
        "queueOrTopicType": {},
        "queueOrTopicName": {},
        "entaxyOriginConnection": {},
        "camel_consumerPriority": {},
        "@IMPORT": [
          {
            "sourceFactoryId": "artemis-connection",
            "location": "outputs.consumer.fields",
            "prefix": "",
            "filter": {
              "contained": [
                {
                  "attribute": "##origin",
                  "values": [
                    "camel"
                  ]
                },
                {
                  "attribute": "group",
                  "inverse": true,
                  "values": [
                    "security"
                  ]
                }
              ]
            }
          }
        ]
      },
      "config": {
        "configurable": true,
        "fieldsConfigurableByDefault": true,
        "configurableFields": {
          "includeNames": [
            "queueOrTopicType",
            "queueOrTopicName"
          ],
          "includePatterns": []
        }
      }
    }
  }
}
